package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrAlarm;

/**
 * 报警联锁值确认Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrAlarmService 
{
    /**
     * 查询报警联锁值确认
     * 
     * @param id 报警联锁值确认ID
     * @return 报警联锁值确认
     */
    public TPssrAlarm selectTPssrAlarmById(Long id);

    /**
     * 查询报警联锁值确认列表
     * 
     * @param tPssrAlarm 报警联锁值确认
     * @return 报警联锁值确认集合
     */
    public List<TPssrAlarm> selectTPssrAlarmList(TPssrAlarm tPssrAlarm);

    /**
     * 新增报警联锁值确认
     * 
     * @param tPssrAlarm 报警联锁值确认
     * @return 结果
     */
    public int insertTPssrAlarm(TPssrAlarm tPssrAlarm);

    /**
     * 修改报警联锁值确认
     * 
     * @param tPssrAlarm 报警联锁值确认
     * @return 结果
     */
    public int updateTPssrAlarm(TPssrAlarm tPssrAlarm);

    /**
     * 批量删除报警联锁值确认
     * 
     * @param ids 需要删除的报警联锁值确认ID
     * @return 结果
     */
    public int deleteTPssrAlarmByIds(Long[] ids);

    /**
     * 删除报警联锁值确认信息
     * 
     * @param id 报警联锁值确认ID
     * @return 结果
     */
    public int deleteTPssrAlarmById(Long id);
}
